> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-all-community-user-groups.md).

# Get All User Groups for Community

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
GET /UserGroups
```

#### Query Parameters

This endpoint doesn't require query parameters.

#### Response

```json
{
    "data": [
        {
            "id": 1,
            "name": "First group"
        },
        {
            "id": 2,
            "name": "Second group"
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

`Data` field will contain an array of [User group](/docs/apis/tickets/reference/objects/user-group.md) objects.
